import { ApolloClient, HttpLink, InMemoryCache, makeVar } from '@apollo/client';
import type { Book } from './Book';

export const apolloClient = new ApolloClient({
  link: new HttpLink({ uri: 'http://localhost:3001/graphql' }),
  cache: new InMemoryCache(),
});

export const selectedBook = makeVar<Book | null>(null);
